# Options/Search suggest

From XOWA: the free, open-source, offline wiki application

Apps (basic) | Apps (advanced) | Wiki | HTML | External apps | Modules | Extensions | Misc

- Search suggest
- Search
- Popups

Save

## Address bar

Enabled: [1] |
Max results: [2] |
Auto-wildcard: [3] |
Namespace ids: [4] |
Visible rows: [5] |
Page Up / Page Down increment: [6] |
Symbols: [7] | wild=* not=- or=, and=+ quote=" paren_bgn=( paren_end=) escape=\ space=\s

## Search suggest

Enabled: [8] |
Max results: [9] |
Search mode: [10] |
AllPages look-ahead: [11] |
AllPages minimum length: [12] |
Log enabled: [13] |

## Notes

1. ^ Choose one of the following: (default is `checked`)
   - checked: Enables search suggestions in address bar; typing in the address bar will show suggestions in a drop-down list.
   - unchecked: Disables search suggestions in address bar; typing in the address bar will not show suggestions.
2. ^ Maximum number of results to retrieve: (default is `10`) (recommended is `100`)
   This option limits the maximum number of results. For example, a setting of 10 with a search term of "earth" will retrieve the top 10 pages with the word "earth" in the title.
   - For slower machines, decrease the number of words to 1. Note that the number must be greater than 0.
   - For faster machines, increase the number of words as per your liking.
3. ^ Choose one of the following: (default is `checked`)
   - checked: Automatically adds a wildcard to every search suggestion. For example, "earth" will becomes "earth*" and match "Earth", "History of Earth", and "Earthquake". Note that the wildcard can be disabled by adding a space. For example, "earth " will match "Earth" and "History of Earth" but not "Earthquake".
   - unchecked: Does not add a wildcard to every search suggestion. "earth" will only "Earth" and "History of Earth"
4. ^ Enter list of namespaces to search: (default is `0`)
   This option specifies which namespaces to search. For more information, see https://en.wikipedia.org/wiki/Help:Namespaces
   - For the main namespace, enter in "0"
   - For all namespaces, enter in "*".
   - For specific namespaces, enter in the ids separated by a comma. For example, to search the Main, Wikipedia, Category, and Portal namespaces enter in "0,4,14,100"
5. ^ Maximum number of results to show in visible area: (default is `10`) (recommended is `25`)
   This option limits the maximum number of results shown on screen. This visible-rows number can be made less than max-results. For example:
   - A max-results of 100 and a visible-rows of 25 will show results #1-25 in the drop-down list, while results #26-100 can be seen using the drop-down list's scroll bar.
   - A max-results of 25 and a visible-rows of 25 will always show all results on screen. The drop-down list will not have a scroll bar
6. ^ Number of rows to move when pressing page-up or page-down (default is `5`)
7. ^ Define symbols for address-bar searches: (default is )
   This is an advanced option which allows custom definition of symbols for search terms. For more information on search queries, see App/Search Note the following details:
   - "\s" means space
   - "\0" means disabled
   - Only one symbol can be defined for each type. In other words, there can't be two "and" symbols (+, &)
   - Entering in the wrong syntax will disable some if not all symbols. If you run into issues, copy and paste the excerpt below.

       wild=*
       not=-
       or=,
       and=+
       quote="
       paren_bgn=(
       paren_end=)
       escape=\
       space=\s

8. ^ Choose one of the following: (default is `checked`)
   - checked: Search suggest enabled (typing in search box will dynamically retrieve suggestions)
   - unchecked: Search suggest disabled
9. ^ Maximum number of search suggestions; (default is `10`)
10. ^ Choose one of the following: (default is `AllPages`)
    - AllPages_v2: Search suggestions will return titles beginning with search term
      EX: "Earth" will return "Earth" and "Earthquake" but not "History of Earth"
    - Search : Search suggestions will return titles that have the word. Also allows extended search syntax (See App/Search)
      EX: "Earth" will return "Earth" and "History of Earth" but not "Earthquake"
    - AllPages (obsolete): Search suggestions will return titles beginning with search term
      Similar to AllPages_v2, but returns less accurate results (though it is slightly faster)
11. ^ Only applicable when search mode is "AllPages" (default is `1000`)
    Set number of pages to look-ahead. Used with Max results and AllPages minimum length. For example:
    - Setting look-ahead to 0 will scan the next 10 titles after "Earth" and return the 1st 10 restuls that have a page length > Minimum length
    - Setting look-ahead to 10,000 will scan the next 10,000 titles after "Earth" and return the 1st 10 results that have a page length > Minimum length
12. ^ Only applicable when search mode is "AllPages" (default is `10000`)
    Set minimum length needed for a page to be in a result. Used with AllPages look-ahead. See example for AllPages look-ahead
13. ^ Choose one of the following: (default is `unchecked`)
    - checked: search suggest will log activity (for development purposes only)
    - unchecked: search suggest will not log activity

### XOWA

- Main page
- Screenshots
- Video
- Download XOWA
- Download wikis

### Getting started

- Requirements
- Installation
- Simple Wikipedia
- English Wikipedia
- Other Wikipedias

### Android

- Setup
- Video

### Help

- About
- Contents
- Media
- Feedback

### Blog

- Current

### Links

- Wikimedia dumps
- XOWA @ archive.org
- English Wikipedia

### Donate

- archive.org
- Wikipedia